# Launching a Varbase Site to Production

It is important to follow with the pre-lunch or pre-deployment checklist on the event of deployment for a project to the live production site.

## Checklist to Check Before Going Live

### Varbase Development Module

Varbase Development enables number of needed development tools, But they should not be enabled on production sites.

{% content-ref url="/pages/-MePc7ehk\_OjVjcWWv3K" %}
[Varbase Development](/10.0.x/developers/understanding-varbase/development-components/varbase-development.md)
{% endcontent-ref %}

* [ ] **Varbase Development**&#x20;
* [ ] Reroute Email
* [ ] Migrate Drupal UI
* [ ] Database Log
* [ ] Views UI
* [ ] Configuration Update UI
* [ ] Web Profiler
* [ ] Display Suite Devel
* [ ] Webform Devel
* [ ] Devel Generate
* [ ] Devel
* [ ] Tour UI
* [ ] Blazy Ui
* [ ] Slick UI

```
drush pm:uninstall varbase_development
drush pm:uninstall reroute_email
drush pm:uninstall migrate_drupal_ui
drush pm:uninstall dblog
drush pm:uninstall views_ui
drush pm:uninstall config_update_ui
drush pm:uninstall webprofiler
drush pm:uninstall ds_devel
drush pm:uninstall webform_devel
drush pm:uninstall devel_generate
drush pm:uninstall devel
drush pm:uninstall tour_ui
drush pm:uninstall blazy_ui
drush pm:uninstall slick_ui
```

### **Varbase Style Guide Module**

Varbase Style Guide module enables a styling and theming tools. But they should not be enabled on production sites.

{% content-ref url="/pages/-MeQDEOfK4hHzrL6GhON" %}
[Varbase Style Guide](/10.0.x/developers/understanding-varbase/deprecated-components/varbase-styleguide.md)
{% endcontent-ref %}

* [ ] **Varbase Style Guide**
* [ ] Style Guide

```
drush pm:uninstall varbase_styleguide
drush pm:uninstall styleguide
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.0.x/developers/launching-a-varbase-site-to-production.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
